- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::Journal Class Reference

Journal class (part of the Journalist implementation. More...

`#include <IpJournalist.hpp>`

Inheritance diagram for Ipopt::Journal:

[legend]
Collaboration diagram for Ipopt::Journal:

[legend]
List of all members.

## Public Member Functions
| Journal (const std::string &name, EJournalLevel default_level)
| Constructor.
virtual | ~Journal ()
| Destructor.
std::string | Name ()
| Get the name of the Journal.
void | SetPrintLevel (EJournalCategory category, EJournalLevel level)
| Set the print level for a particular category.
void | SetAllPrintLevels (EJournalLevel level)
| Set the print level for all category.
Journal Output Methods. These methods are called by the
Journalist who first checks if the output print level and category are acceptable. Calling the Print methods explicitly (instead of through the Journalist will output the message regardless of print level and category. You should use the Journalist to print & flush instead
bool | IsAccepted (EJournalCategory category, EJournalLevel level) const
| Ask if a particular print level/category is accepted by the journal.
void | Print (const char *str)
| Print to the designated output location.
void | Printf (const char *pformat, va_list ap)
| Printf to the designated output location.
void | FlushBuffer ()
| Flush output buffer.
## Protected Member Functions
Implementation version of Print methods. Derived classes
should overload the Impl methods.
virtual void | PrintImpl (const char *str)=0
| Print to the designated output location.
virtual void | PrintfImpl (const char *pformat, va_list ap)=0
| Printf to the designated output location.
virtual void | FlushBufferImpl ()=0
| Flush output buffer.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| Journal ()
| Default Constructor.
| Journal (const Journal &)
| Copy Constructor.
void | operator= (const Journal &)
| Overloaded Equals Operator.
## Private Attributes
std::string | name_
| Name of the output location.
Index | print_levels_ [J_LAST_CATEGORY]
| vector of integers indicating the level for each category

## Detailed Description

Journal class (part of the Journalist implementation.

). This class is the base class for all Journals. It controls the acceptance criteria for print statements etc. Derived classes like the FileJournal - output those messages to specific locations

Definition at line 241 of file IpJournalist.hpp.

## Constructor & Destructor Documentation

Ipopt::Journal::Journal | ( | const std::string & | name,
|  | EJournalLevel | default_level |
| ) |  |  |

Constructor.

virtual Ipopt::Journal::~Journal | ( |  | ) | `[virtual]`

Destructor.

Ipopt::Journal::Journal | ( |  | ) | `[private]`

Default Constructor.

Ipopt::Journal::Journal | ( | const Journal & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

std::string Ipopt::Journal::Name | ( |  | ) |

Get the name of the Journal.

void Ipopt::Journal::SetPrintLevel | ( | EJournalCategory | category,
|  | EJournalLevel | level |
| ) |  |  |

Set the print level for a particular category.

void Ipopt::Journal::SetAllPrintLevels | ( | EJournalLevel | level | ) |

Set the print level for all category.

bool Ipopt::Journal::IsAccepted | ( | EJournalCategory | category,
|  | EJournalLevel | level |
| ) |  |  | const

Ask if a particular print level/category is accepted by the journal.

void Ipopt::Journal::Print | ( | const char * | str | ) | `[inline]`

Print to the designated output location.

Definition at line 279 of file IpJournalist.hpp.

References PrintImpl().

void Ipopt::Journal::Printf | ( | const char * | pformat,
|  | va_list | ap |
| ) |  |  | `[inline]`

Printf to the designated output location.

Definition at line 285 of file IpJournalist.hpp.

References PrintfImpl().

void Ipopt::Journal::FlushBuffer | ( |  | ) | `[inline]`

Flush output buffer.

Definition at line 291 of file IpJournalist.hpp.

References FlushBufferImpl().

virtual void Ipopt::Journal::PrintImpl | ( | const char * | str | ) | `[protected, pure virtual]`

Print to the designated output location.

Implemented in Ipopt::FileJournal.

Referenced by Print().

virtual void Ipopt::Journal::PrintfImpl | ( | const char * | pformat,
|  | va_list | ap |
| ) |  |  | `[protected, pure virtual]`

Printf to the designated output location.

Implemented in Ipopt::FileJournal.

Referenced by Printf().

virtual void Ipopt::Journal::FlushBufferImpl | ( |  | ) | `[protected, pure virtual]`

Flush output buffer.

Implemented in Ipopt::FileJournal.

Referenced by FlushBuffer().

void Ipopt::Journal::operator= | ( | const Journal & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

std::string Ipopt::Journal::name_`[private]`

Name of the output location.

Definition at line 332 of file IpJournalist.hpp.

Index Ipopt::Journal::print_levels_[J_LAST_CATEGORY]`[private]`

vector of integers indicating the level for each category

Definition at line 335 of file IpJournalist.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Common/IpJournalist.hpp